#pragma once

#include "gui/state.h"
#include <SFML/Graphics/RenderWindow.hpp>

class Group;

class MainMenu : public GUIState
{
public:
    MainMenu(sf::RenderWindow& game_window);
    virtual void input(const sf::Event& event) override;
    virtual void update() override;
    virtual void draw(sf::RenderTarget& target, sf::RenderStates states) const override;

private:
    std::shared_ptr<Group> _buttons;
    sf::RenderWindow& _game_window;
};

